<template>
    <div class="card-container">
        <div class="card">
            <div class="info">
                <div class="item">{{ directoryObj.item }}</div>
                <div class="hours">{{ directoryObj.hoursquantity }} hours</div>
                <div class="teacher">Teacher: {{ directoryObj.teacher }}</div>
                <div class="rating">Rating: {{ directoryObj.rating }}</div>
            </div>
            <div class="actions">
                <button @click="deleteItem" class="delete-button">Delete</button>
                <button @click="editItem" class="edit-button">Edit</button>
            </div>
        </div>
    </div>
</template>

<script>
import { mapActions } from 'vuex'

export default {
    name: 'DirectoryItem',

    props: {
        directoryObj: {
            type: Object,
            default: () => ({}),
        },
    },

    methods: {
        ...mapActions(['deleteItemAction', 'editItemAction']),
        
        deleteItem() {
            this.deleteItemAction(this.directoryObj.id);
        },

        editItem() {
            this.editItemAction(this.directoryObj.id);
        }
    },
}
</script>

<style lang="scss" scoped>
.card-container {
    display: flex;
    flex-wrap: nowrap;
    overflow-x: auto; /* Додаємо горизонтальний скролл, якщо елементи не поміщаються в рядок */
}

.card {
    min-width: 300px; 
    border: 1px solid #ddd;
    margin-right: 10px; 
    background-color: #fff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.info {
    padding: 10px;
}

.actions {
    display: flex;
    justify-content: flex-end;
    padding: 10px;
}

.item {
    font-size: 18px;
    font-weight: bold;
}

.hours {
    color: #666;
}

.teacher,
.rating {
    margin-top: 5px;
    font-size: 14px;
}

.delete-button,
.edit-button {
    background-color: #e74c3c;
    color: #fff;
    border: none;
    padding: 5px 10px;
    margin-top: 5px;
    cursor: pointer;
    font-size: 14px;
}

.delete-button:hover,
.edit-button:hover {
    background-color: #c0392b;
}
</style>
